LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XAccessible Interface Reference

This interface has to be implemented by any class that wants to be accessible. More...

`import"XAccessible.idl";`

Inheritance diagram for XAccessible:

## Public Member Functions
XAccessibleContext | getAccessibleContext ()
| Returns the AccessibleContext associated with this object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface has to be implemented by any class that wants to be accessible.

It is used to provide access to the XAccessibleContext interface but allows at the same time that the interface is implemented by another class.

The distinction between the interfaces XAccessible and XAccessibleContext makes it possible to split up the implementation of the class that is made accessible and the actual accessibility code into two (mostly) independent parts. The only necessary dependence is the XAccessible::getAccessibleContext() function that returns the accessible context. This one-way link has to be persistent in some sense: As long as there is at least one reference to a specific XAccessibleContext object the XAccessible object has to return the same context for every call to XAccessible::getAccessibleContext(). This is necessary to allow the use of object identity for comparing accessibility contexts for being equal.

See also
  AccessibleContext

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getAccessibleContext()

XAccessibleContext getAccessibleContext | ( |  | ) |

Returns the AccessibleContext associated with this object.

The idea to let this interface only return an XAccessibleContext instead of directly supporting its functions is to allow the separation of the implementation of the functions that make a class accessible from the implementation of that class. You may, of course, implement XAccessible and XAccessibleContext in one class.

Returns
  A reference to the object that contains the actual accessibility information.

See also
  AccessibleContext

The documentation for this interface was generated from the following file:

- com/sun/star/accessibility/XAccessible.idl